SERIAL8250_REGIS(9)

NAME
serial8250_register_port - register a serial port

SYNOPSIS

int serial8250_register_port (struct uart_port * port);

ARGUMENTS

port
    serial port template

DESCRIPTION

Configure the serial port specified by the request. If the port exists and is in use, it is hung up and unregistered first.

The port is then probed and if necessary the IRQ is autodetected If this fails an error is returned.

On success the port is ready to use and the line number is returned.